@echo off

rem Edit the two values below to match the instance IDs of your USB Mass Storage device:
set USB="USB\VID_1058&PID_0704\575845383038415339393337"
set USBSTOR="USBSTOR\DISK&VEN_WD&PROD_1600BMV_EXTERNAL&REV_1.05\575845383038415339393337&0"

echo Enables or disables a specific USB Mass Storage device.
echo Use as startup/shutdown script to speed up Windows startup.
echo.

if "%1"=="/enable" goto :enable
if "%1"=="/disable" goto :disable
echo List of all connected USB Mass Storage devices and their disk drive devices:
devcon.exe find USB\Class_08 USBSTOR\*
goto :eof

:enable
echo Enabling USB Mass Storage device...
devcon.exe enable @%USB%
devcon.exe enable @%USBSTOR%
goto :eof

:disable
echo Disabling USB Mass Storage device...
devcon.exe disable @%USBSTOR%
devcon.exe disable @%USB% 
goto :eof
